package org.gcube.portlets.widgets.pickitem.client.events;

import org.gcube.portlets.widgets.pickitem.shared.ItemBean;

import com.google.gwt.event.shared.GwtEvent;



public class PickedItemEvent  extends GwtEvent<PickedItemEventHandler> {
	public static Type<PickedItemEventHandler> TYPE = new Type<PickedItemEventHandler>();
	
	private ItemBean user;
	

	public ItemBean getSelectedUser() {
		return user;
	}
	public PickedItemEvent(ItemBean user) {
		this.user = user;
	}

	@Override
	public Type<PickedItemEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(PickedItemEventHandler handler) {
		handler.onSelectedUser(this);
	}
}
